Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.plugin
Class PluginUtilities

    java.lang.Object
      edu.stanford.smi.protege.plugin.PluginUtilities

    public class PluginUtilities

extends Object

Author:
  Ray Fergerson

Field Summary
`static String` | `EXTRA_MANIFEST_PATH`

Constructor Summary
`PluginUtilities()`

Method Summary
`static void` | `findPluginsDirectory()`
`static Class` | `forName(String className)`
`static Class` | `forName(String className, boolean promiscuous)` Load a class with the given name.
`static Collection` | `getAvailableCreateProjectFromFilePluginClassNames()`
`static Collection` | `getAvailableCreateProjectPluginClassNames()`
`static Collection` | `getAvailableExportPluginClassNames()`
`static Collection` | `getAvailableExportProjectPluginClassNames()`
`static Collection` | `getAvailableFactories()`
`static Collection` | `getAvailableFactoryClassNames()`
`static Collection` | `getAvailableImportPluginClassNames()`
`static Collection` | `getAvailableProjectPluginClassNames()`
`static Collection` | `getAvailableSlotWidgetClassNames()`
`static Collection` | `getAvailableTabWidgetClassNames()`
`static Collection<Class>` | `getClassesWithAttribute(String key, String value)` Does a search of the available manifests entries for the specified attribute key and does a case insensitive match on the specified attribute value.
`static String` | `getDefaultWidgetClassName(boolean cardinality, ValueType type, Cls allowedCls)`
`static String` | `getDefaultWidgetClassName(boolean cardinality, ValueType type, Cls allowedCls, Slot slot)`
`static String` | `getDefaultWidgetClassName(Slot slot)`
`static File` | `getInstallationDirectory(String pluginClassName)`
`static URL` | `getPluginComponentAboutURL(String pluginComponentName)`
`static URL` | `getPluginComponentDocURL(String pluginComponentName)`
`static Collection` | `getPluginComponentNames()`
`static File` | `getPluginsDirectory()`
`static void` | `initialize()`
`static boolean` | `isLoadableClass(String className)`
`static boolean` | `isOWL(KnowledgeBase kb)`
`static boolean` | `isOWLAvailable()`
`static boolean` | `isPluginAvailable(String javaClassName)`
`static boolean` | `isSuitableCreateProjectFromFilePlugin(CreateProjectFromFilePlugin plugin, String suffix)`
`static void` | `processManifest(Manifest manifest, ClassLoader loader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXTRA_MANIFEST_PATH

    public static final String EXTRA_MANIFEST_PATH

See Also:
  Constant Field Values

Constructor Detail

### PluginUtilities

    public PluginUtilities()

Method Detail

### getInstallationDirectory

    public static File getInstallationDirectory(String pluginClassName)

### initialize

    public static void initialize()

### forName

    public static Class forName(String className)

### forName

    public static Class forName(String className,
                                boolean promiscuous)

  Load a class with the given name. The system first tries to load the class using the appropriate class loader for a class with that name. If this fails and promiscous=true then the system will try to load the class with all available class loaders in no particular order until it finds one that works.

### getAvailableFactories

    public static Collection getAvailableFactories()

### getAvailableFactoryClassNames

    public static Collection getAvailableFactoryClassNames()

### getAvailableSlotWidgetClassNames

    public static Collection getAvailableSlotWidgetClassNames()

### getAvailableTabWidgetClassNames

    public static Collection getAvailableTabWidgetClassNames()

### getAvailableImportPluginClassNames

    public static Collection getAvailableImportPluginClassNames()

### getAvailableCreateProjectPluginClassNames

    public static Collection getAvailableCreateProjectPluginClassNames()

### getAvailableExportProjectPluginClassNames

    public static Collection getAvailableExportProjectPluginClassNames()

### getAvailableExportPluginClassNames

    public static Collection getAvailableExportPluginClassNames()

### getAvailableProjectPluginClassNames

    public static Collection getAvailableProjectPluginClassNames()

### getPluginComponentNames

    public static Collection getPluginComponentNames()

### getPluginComponentAboutURL

    public static URL getPluginComponentAboutURL(String pluginComponentName)

### getPluginComponentDocURL

    public static URL getPluginComponentDocURL(String pluginComponentName)

### getDefaultWidgetClassName

    public static String getDefaultWidgetClassName(Slot slot)

### getDefaultWidgetClassName

    public static String getDefaultWidgetClassName(boolean cardinality,
                                                   ValueType type,
                                                   Cls allowedCls)

### getDefaultWidgetClassName

    public static String getDefaultWidgetClassName(boolean cardinality,
                                                   ValueType type,
                                                   Cls allowedCls,
                                                   Slot slot)

### isLoadableClass

    public static boolean isLoadableClass(String className)

### processManifest

    public static void processManifest(Manifest manifest,
                                       ClassLoader loader)

### findPluginsDirectory

    public static void findPluginsDirectory()

### getClassesWithAttribute

    public static Collection<Class> getClassesWithAttribute(String key,
                                                            String value)

  Does a search of the available manifests entries for the specified attribute key and does a case insensitive match on the specified attribute value. If there is a match the associated java Class object is loaded.

### getPluginsDirectory

    public static File getPluginsDirectory()

### isOWL

    public static boolean isOWL(KnowledgeBase kb)

### isOWLAvailable

    public static boolean isOWLAvailable()

### getAvailableCreateProjectFromFilePluginClassNames

    public static Collection getAvailableCreateProjectFromFilePluginClassNames()

### isSuitableCreateProjectFromFilePlugin

    public static boolean isSuitableCreateProjectFromFilePlugin(CreateProjectFromFilePlugin plugin,
                                                                String suffix)

### isPluginAvailable

    public static boolean isPluginAvailable(String javaClassName)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.